import logging

from django.core.management import BaseCommand
from django.utils import timezone

from pount.apps.api.models.user import Invitation

logger = logging.getLogger("cron")


class Command(BaseCommand):
    def handle(self, *args, **options):
        num_deleted, info_deleted = Invitation.objects.filter(expires_at__lt=timezone.now()).delete()
        logger.info(f"{num_deleted} expired invitations deleted")
