class ThumbnailUrlMixin:
    def get_thumbnails(self, instance) -> dict[str, str]:
        thumbnails = {
            "s": instance.thumbnail_url("s"),
            "m": instance.thumbnail_url("m"),
            "l": instance.thumbnail_url("l"),
            "embed": instance.thumbnail_url("embed"),
        }
        return {_key: _value for _key, _value in thumbnails.items() if _value is not None}
