from django.test import TestCase

from pount.apps.api.serializers.project import ProjectSerializer


class ProjectSerializerTest(TestCase):
    def test_project_description_html_is_sanitized(self):
        html = "<p onclick=\"alert('clicked')\">HTML with evil script</p>"
        serializer = ProjectSerializer()
        cleaned = serializer.validate_description(html)
        self.assertEqual(
            "<p>HTML with evil script</p>",
            cleaned,
        )
