from django.test import TestCase
from rest_framework.test import APIRequestFactory
from rest_framework.views import APIView

from pount.apps.api.pagination import StandardPagination


class StandardPaginationTest(TestCase):
    def test_page_size_query_param_of_0_represents_max_page_size(self):
        pagination = StandardPagination()
        request = APIRequestFactory().get("/?page_size=0")
        request = APIView().initialize_request(request)
        self.assertEqual(pagination.get_page_size(request), pagination.max_page_size)
