from django.contrib.auth import get_user_model

User = get_user_model()


def create_user(name, is_creator, password=None):
    email = "%s@pount.org" % name
    info = {
        "username": name,
        "email": email,
    }
    settings = {"creator": is_creator}
    return User.objects.create_user(
        username=name,
        email=email,
        info=info,
        settings=settings,
        password=password,
    )
